libzypp: zypp::parser::susetags::RepoIndex Class Reference

libzypp 17.38.9

zypp::parser::susetags::RepoIndex Class Reference

Repository content data (from /content file). More...

`#include <zypp/parser/susetags/RepoIndex.h>`

Inheritance diagram for zypp::parser::susetags::RepoIndex:

## Public Types
using | FileChecksumMap = std::map<std::string, CheckSum>

## Public Attributes
Pathname | descrdir
Pathname | datadir
FileChecksumMap | metaFileChecksums
FileChecksumMap | mediaFileChecksums
FileChecksumMap | signingKeys

## Protected Member Functions
std::ostream & | dumpOn (std::ostream &str) const override
| Overload to realize std::ostream & operator<<.
Protected Member Functions inherited from zypp::base::ReferenceCounted
virtual void | ref_to (unsigned) const
| Trigger derived classes after refCount was increased.
virtual void | unref_to (unsigned) const
| Trigger derived classes after refCount was decreased.

## Friends
class | ContentFileReader

## Additional Inherited Members
Public Member Functions inherited from zypp::base::ReferenceCounted
| ReferenceCounted ()
| Default ctor.
| ReferenceCounted (const ReferenceCounted &rhs)
| Copy ctor.
virtual | ~ReferenceCounted ()
| Dtor.
ReferenceCounted & | operator= (const ReferenceCounted &)
| Assignment.
unsigned | refCount () const
| Return reference counter value.
void | ref () const
| Add a reference.
void | unref () const
| Release a reference.
Static Public Member Functions inherited from zypp::base::ReferenceCounted
static void | add_ref (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
static void | release (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.

## Detailed Description

Repository content data (from /content file).

File and Checksum definitions required by Downloader and Parser. (Do not confuse with NU's repoindex.xml)

Definition at line 48 of file RepoIndex.h.

## Member Typedef Documentation

## ◆ FileChecksumMap

using zypp::parser::susetags::RepoIndex::FileChecksumMap = std::map<std::string, CheckSum>

Definition at line 52 of file RepoIndex.h.

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::parser::susetags::RepoIndex::dumpOn | ( | std::ostream & | str | ) | const
| overrideprotectedvirtual

Overload to realize std::ostream & operator<<.

Reimplemented from zypp::base::ReferenceCounted.

Definition at line 33 of file RepoIndex.cc.

## Friends And Related Symbol Documentation

## ◆ ContentFileReader

friend class ContentFileReader
| friend

Definition at line 50 of file RepoIndex.h.

## Member Data Documentation

## ◆ descrdir

Pathname zypp::parser::susetags::RepoIndex::descrdir

Definition at line 54 of file RepoIndex.h.

## ◆ datadir

Pathname zypp::parser::susetags::RepoIndex::datadir

Definition at line 55 of file RepoIndex.h.

## ◆ metaFileChecksums

FileChecksumMap zypp::parser::susetags::RepoIndex::metaFileChecksums

Definition at line 57 of file RepoIndex.h.

## ◆ mediaFileChecksums

FileChecksumMap zypp::parser::susetags::RepoIndex::mediaFileChecksums

Definition at line 58 of file RepoIndex.h.

## ◆ signingKeys

FileChecksumMap zypp::parser::susetags::RepoIndex::signingKeys

Definition at line 59 of file RepoIndex.h.

The documentation for this class was generated from the following files:

- zypp/parser/susetags/RepoIndex.h
- zypp/parser/susetags/RepoIndex.cc